%define src_repo_tag   RELEASE_0_1
%define eclipse_base   %{_libdir}/eclipse
%define install_loc    %{_datadir}/eclipse/dropins/linuxprofilingframework
# When final 0.1 release is tagged upstream, update qualifier to match
%define qualifier      200901131137

Name:           eclipse-linuxprofilingframework
Version:        0.1.0
# Including qualifier in release makes the resulting filenames too long.
# It'll be 0.1.0-1 soon enough
Release:        0.1%{?dist}
Summary:        Eclipse Linux Tools Profiling Framework

Group:          Development/Tools
License:        EPL
URL:            http://eclipse.org/linuxtools
# sh -x ./eclipse-linuxprofilingframework-fetch-src.sh %{src_repo_tag}
Source0:        %{name}-fetched-src-%{src_repo_tag}.tar.bz2
Source1:        eclipse-linuxprofilingframework-fetch-src.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
Requires: eclipse-platform >= 1:3.4.0
BuildRequires: eclipse-cdt >= 1:4.0.0
Requires: eclipse-cdt >= 1:4.0.0

%description
Plugins common to Eclipse Linux Tools profiling tools.

%prep
%setup -q -n %{name}-fetched-src-%{src_repo_tag}

%build
%{eclipse_base}/buildscripts/pdebuild -d cdt -f org.eclipse.linuxtools.profiling.feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \

%install
rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}

unzip -q -d $RPM_BUILD_ROOT%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.profiling.feature.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc org.eclipse.linuxtools.profiling-feature/epl-v10.html
%{install_loc}

%changelog
* Tue Jan 13 2009 Andrew Overholt <overholt@redhat.com> 0.1.0-0.1
- Initial release.  Pre-0.1.0 upstream.